[Previous] [Next] [Contents]

## `SG::Perm2Rd` -- calculates a canonical reduced decomposition of a permutation

#### Call(s)

`SG::Perm2Rd(perm)`

#### Parameters

`perm` | - | any list denoting a permutation

#### Introduction

The `SG::Perm2Rd` function calculates a canonical reduced decomposition of `perm`. It is obtained by reading the Rothe diagram.

#### Example 1

    >> muEC::SG::Perm2Rd( [4,2,6,1,3,5] );

                               [3, 2, 1, 2, 5, 4, 3]

#### Related Functions

`Perm2Rothe`, `Rd2Perm`

[Previous] [Next] [Contents]

MuPAD Combinat, an open source algebraic combinatorics package